package com.yuandian.dataflow.statemachine.master;

import java.time.Duration;
import java.util.concurrent.atomic.AtomicBoolean;

import lombok.Getter;
import lombok.Setter;
import lombok.extern.slf4j.Slf4j;

@Slf4j
public class MasterContext {
    private AtomicBoolean isExit = new AtomicBoolean(false);
    private Duration lastLoopExecuteTime = Duration.ZERO; 




    private Object share;
 
    public Boolean getIsExit() {
        return isExit.get();
    }

    public void setIsExit(Boolean isExit) {
        this.isExit.set(isExit);
    }

    public Object getShare() {
        return share;
    }

    public void setShare(Object share) {
        this.share = share;
    }

    public void setLastLoopExecuteTime(Duration lastLoopExecuteTime) {
        this.lastLoopExecuteTime = lastLoopExecuteTime;
    }

    public Duration getLastLoopExecuteTime() {
        return lastLoopExecuteTime;
    }

    

    public void sleep(long millis) {
        try {
            Thread.sleep(millis);
        } catch (InterruptedException e) {
            log.error("{}",e);
            this.setIsExit(true); // 设置推出. 在下个循环退出
        }
    }
}
